<?php
/**
 * Burger Joint functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package burger_joint
 */

$burger_joint_theme_data = wp_get_theme();
if( ! defined( 'BURGER_JOINT_THEME_VERSION' ) ) define ( 'BURGER_JOINT_THEME_VERSION', $burger_joint_theme_data->get( 'Version' ) );
if( ! defined( 'BURGER_JOINT_THEME_NAME' ) ) define( 'BURGER_JOINT_THEME_NAME', $burger_joint_theme_data->get( 'Name' ) );
if( ! defined( 'BURGER_JOINT_THEME_TEXTDOMAIN' ) ) define( 'BURGER_JOINT_THEME_TEXTDOMAIN', $burger_joint_theme_data->get( 'TextDomain' ) );

if ( ! defined( 'BURGER_JOINT_VERSION' ) ) {
	define( 'BURGER_JOINT_VERSION', '1.0.0' );
}

if ( ! function_exists( 'burger_joint_setup' ) ) :
	
	function burger_joint_setup() {
		
		load_theme_textdomain( 'burger-joint', get_template_directory() . '/languages' );

		add_theme_support( 'automatic-feed-links' );
		
		add_theme_support( 'title-tag' );
		
		add_theme_support( 'woocommerce' );

		add_theme_support( 'post-thumbnails' );

		register_nav_menus(
			array(
				'primary' => esc_html__( 'Primary', 'burger-joint' ),
			)
		);

		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'style',
				'script',
				'woocommerce',
			)
		);

		add_theme_support( 'post-formats', array(
			'image',
			'video',
			'gallery',
			'audio', 
		) );

		add_theme_support(
			'custom-background',
			apply_filters(
				'burger_joint_custom_background_args',
				array(
					'default-color' => 'ffffff',
					'default-image' => '',
				)
			)
		);

		add_theme_support( 'customize-selective-refresh-widgets' );

		add_theme_support(
			'custom-logo',
			array(
				'height'      => 250,
				'width'       => 250,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);

		add_theme_support( 'align-wide' );

		add_theme_support( 'responsive-embeds' );

		/*
		* This theme styles the visual editor to resemble the theme style,
		* specifically font, colors, icons, and column width.
		*/
		add_editor_style( '/resource/css/editor-style.css' );
	}
endif;
add_action( 'after_setup_theme', 'burger_joint_setup' );

function burger_joint_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'burger_joint_content_width', 640 );
}
add_action( 'after_setup_theme', 'burger_joint_content_width', 0 );

function burger_joint_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'burger-joint' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'burger-joint' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title"><span>',
			'after_title'   => '</span></h2>',
		)
	);

	$burger_joint_footer_widget_column = get_theme_mod('burger_joint_footer_widget_column','4');
	for ($burger_joint_i=1; $burger_joint_i<=$burger_joint_footer_widget_column; $burger_joint_i++) {
		register_sidebar( array(
			'name' => __( 'Footer  ', 'burger-joint' )  . $burger_joint_i,
			'id' => 'burger-joint-footer-widget-' . $burger_joint_i,
			'description' => __( 'The Footer Widget Area', 'burger-joint' )  . $burger_joint_i,
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<div class="widget-header"><h4 class="widget-title">',
			'after_title' => '</h4></div>',
		) );
	}
}
add_action( 'widgets_init', 'burger_joint_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function burger_joint_scripts() {
	// Append .min if SCRIPT_DEBUG is false.
	$min = ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '' : '.min';

	// Slick style.
	wp_enqueue_style( 'burger-joint-slick-style', get_template_directory_uri() . '/resource/css/slick' . $min . '.css', array(), '1.8.1' );

	// Fontawesome style.
	wp_enqueue_style( 'font-awesome-css', esc_url(get_template_directory_uri())."/resource/css/fontawesome-all.css" );

	// Main style.
	wp_enqueue_style( 'burger-joint-style', get_template_directory_uri() . '/style.css', array(), BURGER_JOINT_VERSION );
	
	// RTL style.
	wp_style_add_data('burger-joint-style', 'rtl', 'replace');

	if (get_theme_mod('burger_joint_enable_animation', true) == true){
		// Animate CSS
		wp_enqueue_style( 'animate-style', get_template_directory_uri() . '/resource/css/animate.css' );
		// Wow script.
		wp_enqueue_script( 'wow-jquery', get_template_directory_uri() . '/resource/js/wow.js', array('jquery'),'' ,true );
	}

	// Navigation script.
	wp_enqueue_script( 'burger-joint-navigation-script', get_template_directory_uri() . '/resource/js/navigation.js', array(), BURGER_JOINT_VERSION, true );

	// Slick script.
	wp_enqueue_script( 'burger-joint-slick-script', get_template_directory_uri() . '/resource/js/slick' . $min . '.js', array( 'jquery' ), '1.8.1', true );

	// Custom script.
	wp_enqueue_script( 'burger-joint-custom-script', get_template_directory_uri() . '/resource/js/custom.js', array( 'jquery' ), BURGER_JOINT_VERSION, true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// Include the file.
	require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

}
add_action( 'wp_enqueue_scripts', 'burger_joint_scripts' );

//Change number of products per page 
add_filter( 'loop_shop_per_page', 'burger_joint_products_per_page' );
function burger_joint_products_per_page( $cols ) {
  	return  get_theme_mod( 'burger_joint_products_per_page',9);
}

// Change number or products per row 
add_filter('loop_shop_columns', 'burger_joint_loop_columns');
	if (!function_exists('burger_joint_loop_columns')) {
	function burger_joint_loop_columns() {
		return get_theme_mod( 'burger_joint_products_per_row', 3 );
	}
}

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/theme-library/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/theme-library/function-files/template-tags.php';
/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/theme-library/function-files/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/theme-library/customizer.php';

/**
 * Breadcrumb
 */
require get_template_directory() . '/theme-library/function-files/class-breadcrumb-trail.php';
/**
 * Google Fonts
 */
require get_template_directory() . '/theme-library/function-files/google-fonts.php';

/**
 * Dynamic CSS
 */
require get_template_directory() . '/theme-library/dynamic-css.php';

/**
 * Getting Started
*/
require get_template_directory() . '/theme-library/getting-started/getting-started.php';


function burger_joint_links_setup() {
	if ( ! defined( 'BURGER_JOINT_PREMIUM_PAGE' ) ) {
	define('BURGER_JOINT_PREMIUM_PAGE',__('https://asterthemes.com/products/food-joint-wordpress-theme','burger-joint'));
	}
	if ( ! defined( 'BURGER_JOINT_THEME_PAGE' ) ) {
		define('BURGER_JOINT_THEME_PAGE',__('https://asterthemes.com/products/burger-joint','burger-joint'));
	}
	if ( ! defined( 'BURGER_JOINT_SUPPORT' ) ) {
	define('BURGER_JOINT_SUPPORT',__('https://wordpress.org/support/theme/burger-joint/','burger-joint'));
	}
	if ( ! defined( 'BURGER_JOINT_REVIEW' ) ) {
	define('BURGER_JOINT_REVIEW',__('https://wordpress.org/support/theme/burger-joint/reviews/','burger-joint'));
	}
	if ( ! defined( 'BURGER_JOINT_PRO_DEMO' ) ) {
	define('BURGER_JOINT_PRO_DEMO',__('https://demo.asterthemes.com/fast-food-joint/','burger-joint'));
	}
	if ( ! defined( 'BURGER_JOINT_THEME_DOCUMENTATION' ) ) {
	define('BURGER_JOINT_THEME_DOCUMENTATION',__('https://demo.asterthemes.com/docs/burger-joint-free/','burger-joint'));
	}
	if ( ! defined( 'BURGER_JOINT_PREMIUM_DOCUMENTATION' ) ) {
	define('BURGER_JOINT_PREMIUM_DOCUMENTATION',__('https://demo.asterthemes.com/docs/fast-food-joint-pro/','burger-joint'));
	}
	if ( ! defined( 'BURGER_JOINT_BUNDLE_PAGE' ) ) {
		define('BURGER_JOINT_BUNDLE_PAGE',__('https://asterthemes.com/products/wp-theme-bundle','burger-joint'));
	}
}
add_action('after_setup_theme', 'burger_joint_links_setup');

/**
 * Theme Wizard
*/
add_action( 'init', 'burger_joint_load_theme_wizard' );
function burger_joint_load_theme_wizard() {
    require get_parent_theme_file_path( '/theme-wizard/config.php' );
}

// Enqueue Customizer live preview script
function burger_joint_customizer_live_preview() {
    wp_enqueue_script(
        'burger-joint-customizer',
        get_template_directory_uri() . '/js/customizer.js',
        array('jquery', 'customize-preview'),
        '',
        true
    );
}
add_action('customize_preview_init', 'burger_joint_customizer_live_preview');

// Featured Image Dimension
function burger_joint_blog_post_featured_image_dimension(){
	if(get_theme_mod('burger_joint_blog_post_featured_image_dimension') == 'custom' ) {
		return true;
	}
	return false;
}

/**
 * Customizer Settings Functions
*/
require get_template_directory() . '/theme-library/function-files/customizer-settings-functions.php';

// Reset all theme settings
function burger_joint_reset_demo_import_settings() {
    if (current_user_can('manage_options')) {
        // List only demo import-related settings to reset
		remove_theme_mod('burger_joint_email_topbar_text');
		remove_theme_mod('burger_joint_phone_topbar_address');
		remove_theme_mod('burger_joint_email_topbar_address');
		remove_theme_mod('burger_joint_topheader_button_url');
		remove_theme_mod('burger_joint_topheader_button_text');
		remove_theme_mod('burger_joint_banner_button_label_');
		remove_theme_mod('burger_joint_enable_banner_section');
		remove_theme_mod('burger_joint_enable_about_section');
		remove_theme_mod('burger_joint_about_us_left_heading_1');
		remove_theme_mod('burger_joint_about_us_left_text_1');
		remove_theme_mod('burger_joint_about_us_left_heading_2');
		remove_theme_mod('burger_joint_about_us_left_text_2');
		remove_theme_mod('burger_joint_about_us_left_heading_3');
		remove_theme_mod('burger_joint_about_us_left_text_3');
		remove_theme_mod('burger_joint_about_us_right_heading_1');
		remove_theme_mod('burger_joint_about_us_right_text_1');
		remove_theme_mod('burger_joint_about_us_right_heading_2');
		remove_theme_mod('burger_joint_about_us_right_text_2');
		remove_theme_mod('burger_joint_about_us_right_heading_3');
		remove_theme_mod('burger_joint_about_us_right_text_3');

        wp_send_json_success(array('message' => __('Demo import settings have been reset.', 'burger-joint')));
    } else {
        wp_send_json_error(array('message' => __('Permission denied.', 'burger-joint')));
    }
}
add_action('wp_ajax_burger_joint_reset_demo_import_settings', 'burger_joint_reset_demo_import_settings'); 